/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.ow2.util.geolocation.web.client;

import javax.naming.Context;
import javax.naming.InitialContext;
import org.ow2.util.geolocation.business.GeoLocatorInterface;

/**
 * Client for remote usage. Never used in the app ...
 * 
 * @author mathieu
 */
public class EJBClient {
    /**
     * The interface of the EJB.
     */
    private GeoLocatorInterface clientSess;

    /**
     * Constructor.
     */
    public EJBClient() {
        try {
            clientSess = getBean();
        } catch (Exception ex) {
            System.out.println(ex);
        }
    }

    /**
     * @return the EJB interface.
     */
    public GeoLocatorInterface getClientSess() {
        return clientSess;
    }

    /**
     * @return the EJB object.
     * @throws Exception some exceptions.
     */
    private GeoLocatorInterface getBean() throws Exception {
        Context initialContext = new InitialContext();
        Object o = initialContext.lookup(
                "org.ow2.jonas.installers.geo.business.ipgeolocalisation.GeoLocalisatorBean"
                + "_" + GeoLocatorInterface.class.getName() + "@Remote");

        if (o instanceof GeoLocatorInterface) {
            GeoLocatorInterface statelessBean = (GeoLocatorInterface) o;
            return statelessBean;
        }
        throw new Exception("Cannot cast object into StatelessRemote");
    }
}
